MsWrdText::PLC Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MsWrdText::PLC Struct Reference

Internal: the plc. More...

`#include <MsWrdText.hxx>`

## Classes
struct | ltstr
| a comparaison structure More...

## Public Types
enum | Type { TextPosition, HeaderFooter, Page, Section, ParagraphInfo, Paragraph, Font, Footnote, FootnoteDef, Field, Object }

## Public Member Functions
| PLC (Type type, int id=0)

## Public Attributes
Type | m_type
| the plc type More...
int | m_id
| the identificator More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal: the plc.

## Member Enumeration Documentation

enum MsWrdText::PLC::Type

Enumerator
TextPosition |
HeaderFooter |
Page |
Section |
ParagraphInfo |
Paragraph |
Font |
Footnote |
FootnoteDef |
Field |
Object |

## Constructor & Destructor Documentation

MsWrdText::PLC::PLC | ( | Type | type,
|  | int | id = `0`
| ) |  |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MsWrdText::PLC const & | plc
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string MsWrdText::PLC::m_extra

some extra data

Referenced by operator<<().

int MsWrdText::PLC::m_id

the identificator

Referenced by MsWrdText::convertFilePLCPos(), MsWrdText::createZones(), MsWrdText::PLC::ltstr::operator()(), operator<<(), MsWrdText::prepareData(), MsWrdText::prepareFontProperties(), MsWrdText::prepareLines(), MsWrdText::prepareParagraphProperties(), MsWrdText::prepareTableLimits(), MsWrdText::readFields(), MsWrdText::readFootnotesPos(), MsWrdParser::readObjectList(), MsWrdText::readPageBreak(), MsWrdText::readParagraphInfo(), MsWrdTextStyles::readSection(), MsWrdText::readTextStruct(), and MsWrdText::sendText().

Type MsWrdText::PLC::m_type

the plc type

Referenced by MsWrdText::convertFilePLCPos(), MsWrdText::PLC::ltstr::operator()(), operator<<(), MsWrdText::prepareData(), MsWrdText::prepareFontProperties(), MsWrdText::prepareLines(), MsWrdText::prepareParagraphProperties(), MsWrdText::prepareTableLimits(), and MsWrdText::sendText().

The documentation for this struct was generated from the following file:

- MsWrdText.hxx